Bug 197419 (Validate-Finance-CC) - Review Request: php-pear-Validate-Finance-CreditCard - Validation class for Credit Cards
Summary: Review Request: php-pear-Validate-Finance-CreditCard - Validation class for C...
Status: CLOSED NEXTRELEASE
Alias: Validate-Finance-CC
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jason Tibbitts
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: FE-ACCEPT pear-Payment-Process
TreeView+ depends on / blocked
 
Reported: 2006-07-01 05:48 UTC by Christopher Stone
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-08 02:18:55 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
wtogami: fedora-cvs+


Attachments (Terms of Use)

Description Christopher Stone 2006-07-01 05:48:11 UTC
Spec URL: http://tkmame.retrogames.com/fedora-extras/php-pear-Validate-Finance-CreditCard.spec
SRPM URL: http://tkmame.retrogames.com/fedora-extras/php-pear-Validate-Finance-CreditCard-0.5.2-1.src.rpm

Description:
Package to validate Credit Card numbers and types.

Comment 1 Jason Tibbitts 2006-09-08 02:03:58 UTC
* source files match upstream:
   a4eb8f52783b2f15ea99f0210ab1eda8  Validate_Finance_CreditCard-0.5.2.tgz
* package meets naming and packaging guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* dist tag is present.
* build root is correct.
* license field matches the actual license.
* license is open source-compatible.  License text included in package.
* latest version is being packaged.
* BuildRequires are proper.
* %clean is present.
* package builds in mock (development, x86_64).
* rpmlint is silent (except for the bogus dangerous-command warning)
* final provides and requires are sane:
   php-pear(Validate_Finance_CreditCard) = 0.5.2
   php-pear-Validate-Finance-CreditCard = 0.5.2-1.fc6
  =
   /bin/sh
   /usr/bin/pear
   php-pear(PEAR)
* %check is not present; not currently possible to run the test suite in an
automated fashion.
* package is not relocatable.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* scriptlets OK (PEAR module installation)
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.

APPROVED

Comment 2 Christopher Stone 2007-04-22 22:45:28 UTC
Branch Package CVS Request
=======================
Package Name: php-pear-Validate-Finance-CreditCard
Short Description: Validation class for Credit Cards
Owners: chris.stone@gmail.com
Branches: EL-5
InitialCC: 




Note You need to log in before you can comment on or make changes to this bug.